com.tibco.bpm.service.connector

## Class ServiceConnector

- java.lang.Object
- - com.tibco.bpm.service.connector.ServiceConnector

-     public class ServiceConnector
      extends java.lang.Object

  Provides access to all service interfaces. Methods can be called directly or by accessing each individual service which exposes the interface for that particular service.

  ©2011 TIBCO Software Inc.
  Since:
    1.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceConnector(Configuration.Protocol protocol, java.lang.String host, int port, com.tibco.n2.service.connector.config.context.SecurityHandler securityHandler)` Creates ServiceConnector instance using the given protocol, host, port, and securityHandler.
    `ServiceConnector(Configuration aConfiguration, com.tibco.n2.service.connector.config.context.SecurityHandler securityHandler)` Creates ServiceConnector instance using the given configuration and securityHandler.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BusinessDataServicesAdminService` | `getBdsAdminService()` Returns the BusinessDataServicesAdminService instance.
    `BusinessDataServicesPublicService` | `getBdsPublicService()` Returns the BusinessDataServicesPublicService instance.
    `BusinessDeadlineService` | `getBusinessDeadlineService()` Returns the BusinessDeadlineService instance.
    `BusinessService` | `getBusinessService()` Returns the BusinessService instance.
    `CalendarService` | `getCalendarService()` Returns the CalendarService instance.
    `ChannelBusService` | `getChannelBusService()` Returns the ChannelBusService instance.
    `Configuration` | `getConfiguration()` TODO Describe this method
    `DirectoryService` | `getDirectoryService()` Returns the DirectoryService instance.
    `DocumentService` | `getDocumentService()` Returns the DocumentService instance.
    `EntityResolverService` | `getEntityResolverService()` Returns the EntityResolverService instance.
    `EventCollectorAuditService` | `getEventCollectorAuditService()` Returns the EventCollectorAuditService instance.
    `EventCollectorManagementService` | `getEventCollectorManagementService()` Returns the EventCollectorManagementService instance.
    `EventCollectorMeasuresService` | `getEventCollectorMeasuresService()` Returns the EventCollectorMeasuresService instance.
    `EventCollectorQueryService` | `getEventCollectorQueryService()` Returns the EventCollectorQueryService instance.
    `EventCollectorReportService` | `getEventCollectorReportService()` Returns the EventCollectorReportService instance.
    `EventCollectorUpdateService` | `getEventCollectorUpdateService()` Returns the EventCollectorUpdateService instance.
    `ExporterService` | `getExporterService()` Returns the ExporterService instance.
    `OrganisationalEntityConfigService` | `getOrganisationalEntityConfigService()` Returns the OrganisationalEntityConfigService instance.
    `OrgModelService` | `getOrgModelService()` Returns the OrgModelService instance.
    `OrgResourceService` | `getOrgResourceService()` Returns the OrgResourceService instance.
    `PageFlowService` | `getPageFlowService()` Returns the PageFlowService instance.
    `ProcessManagerService` | `getProcessManagerService()` Returns the ProcessManagerService instance.
    `ResourceQueryService` | `getResourceQueryService()` Returns the ResourceQueryService instance.
    `SecurityService` | `getSecurityService()` Returns the SecurityService instance.
    `UserSettingsService` | `getUserSettingsService()` Returns the UserSettingsService instance.
    `WorkCalService` | `getWorkCalService()` Returns the WorkCalService instance.
    `WorkItemManagementService` | `getWorkItemManagementService()` Returns the WorkItemManagementService instance.
    `WorkItemSchedulerService` | `getWorkItemSchedulerService()` Returns the WorkItemSchedulerService instance.
    `WorkListService` | `getWorkListService()` Returns the WorkListService instance.
    `WorkPresentationService` | `getWorkPresentationService()` Returns the WorkPresentationService instance.
    `boolean` | `isSameDomain(Configuration.Protocol protocol, java.lang.String host, int port)`
    `boolean` | `isSameDomain(Configuration passedInConfig)`
    `void` | `setConfiguration(Configuration configuration)` TODO Describe this method
    `void` | `setSecurityHandler(com.tibco.n2.service.connector.config.context.SecurityHandler securityHandler)` Sets the given securityHandler to be used for a ServiceConnector created by the current thread.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceConnector

          public ServiceConnector(Configuration.Protocol protocol,
                                  java.lang.String host,
                                  int port,
                                  com.tibco.n2.service.connector.config.context.SecurityHandler securityHandler)

      Creates ServiceConnector instance using the given protocol, host, port, and securityHandler.
      Parameters:
        `protocol` - The protocol value.
        `host` - The host value.
        `port` - The port value.
        `securityHandler` -

    - #### ServiceConnector

          public ServiceConnector(Configuration aConfiguration,
                                  com.tibco.n2.service.connector.config.context.SecurityHandler securityHandler)

      Creates ServiceConnector instance using the given configuration and securityHandler.
      Parameters:
        `configuration` -

  - ### Method Detail

    - #### setSecurityHandler

          public void setSecurityHandler(com.tibco.n2.service.connector.config.context.SecurityHandler securityHandler)

      Sets the given securityHandler to be used for a ServiceConnector created by the current thread.
      Parameters:
        `securityHandler` -

    - #### getBusinessDeadlineService

          public BusinessDeadlineService getBusinessDeadlineService()

      Returns the BusinessDeadlineService instance.
      See Also:
        `BusinessDeadlineService`

    - #### getCalendarService

          public CalendarService getCalendarService()

      Returns the CalendarService instance.
      See Also:
        `CalendarService`

    - #### getWorkCalService

          public WorkCalService getWorkCalService()

      Returns the WorkCalService instance.
      Returns:

    - #### getChannelBusService

          public ChannelBusService getChannelBusService()

      Returns the ChannelBusService instance.
      See Also:
        `ChannelBusService`

    - #### getEntityResolverService

          public EntityResolverService getEntityResolverService()

      Returns the EntityResolverService instance.
      See Also:
        `EntityResolverService`

    - #### getEventCollectorAuditService

          public EventCollectorAuditService getEventCollectorAuditService()

      Returns the EventCollectorAuditService instance.
      See Also:
        `EventCollectorAuditService`

    - #### getEventCollectorMeasuresService

          public EventCollectorMeasuresService getEventCollectorMeasuresService()

      Returns the EventCollectorMeasuresService instance.
      See Also:
        `EventCollectorMeasuresService`

    - #### getEventCollectorQueryService

          public EventCollectorQueryService getEventCollectorQueryService()

      Returns the EventCollectorQueryService instance.
      See Also:
        `EventCollectorQueryService`

    - #### getEventCollectorUpdateService

          public EventCollectorUpdateService getEventCollectorUpdateService()

      Returns the EventCollectorUpdateService instance.
      See Also:
        `EventCollectorUpdateService`

    - #### getEventCollectorManagementService

          public EventCollectorManagementService getEventCollectorManagementService()

      Returns the EventCollectorManagementService instance.
      See Also:
        `EventCollectorManagementService`

    - #### getEventCollectorReportService

          public EventCollectorReportService getEventCollectorReportService()

      Returns the EventCollectorReportService instance.
      See Also:
        `EventCollectorReportService`

    - #### getExporterService

          public ExporterService getExporterService()

      Returns the ExporterService instance.
      See Also:
        `ExporterService`

    - #### getOrganisationalEntityConfigService

          public OrganisationalEntityConfigService getOrganisationalEntityConfigService()

      Returns the OrganisationalEntityConfigService instance.
      See Also:
        `OrganisationalEntityConfigService`

    - #### getProcessManagerService

          public ProcessManagerService getProcessManagerService()

      Returns the ProcessManagerService instance.
      See Also:
        `ProcessManagerService`

    - #### getResourceQueryService

          public ResourceQueryService getResourceQueryService()

      Returns the ResourceQueryService instance.
      See Also:
        `ResourceQueryService`

    - #### getOrgResourceService

          public OrgResourceService getOrgResourceService()

      Returns the OrgResourceService instance.
      See Also:
        `OrgResourceService`

    - #### getOrgModelService

          public OrgModelService getOrgModelService()

      Returns the OrgModelService instance.
      See Also:
        `OrgModelService`

    - #### getSecurityService

          public SecurityService getSecurityService()

      Returns the SecurityService instance.
      See Also:
        `SecurityService`

    - #### getUserSettingsService

          public UserSettingsService getUserSettingsService()

      Returns the UserSettingsService instance.
      See Also:
        `UserSettingsService`

    - #### getWorkItemManagementService

          public WorkItemManagementService getWorkItemManagementService()

      Returns the WorkItemManagementService instance.
      See Also:
        `WorkItemManagementService`

    - #### getWorkListService

          public WorkListService getWorkListService()

      Returns the WorkListService instance.
      See Also:
        `WorkListService`

    - #### getWorkPresentationService

          public WorkPresentationService getWorkPresentationService()

      Returns the WorkPresentationService instance.
      See Also:
        `WorkPresentationService`

    - #### getPageFlowService

          public PageFlowService getPageFlowService()

      Returns the PageFlowService instance.
      See Also:
        `PageFlowService`

    - #### getBusinessService

          public BusinessService getBusinessService()

      Returns the BusinessService instance.
      See Also:
        `BusinessService`

    - #### getWorkItemSchedulerService

          public WorkItemSchedulerService getWorkItemSchedulerService()

      Returns the WorkItemSchedulerService instance.
      Returns:

    - #### getDirectoryService

          public DirectoryService getDirectoryService()

      Returns the DirectoryService instance.
      See Also:
        `DirectoryService`

    - #### getBdsAdminService

          public BusinessDataServicesAdminService getBdsAdminService()

      Returns the BusinessDataServicesAdminService instance.
      See Also:
        `BdsService`

    - #### getBdsPublicService

          public BusinessDataServicesPublicService getBdsPublicService()

      Returns the BusinessDataServicesPublicService instance.
      See Also:
        `BdsService`

    - #### getDocumentService

          public DocumentService getDocumentService()

      Returns the DocumentService instance.
      See Also:
        `DocumentService`

    - #### getConfiguration

          public Configuration getConfiguration()

      TODO Describe this method
      Returns:
        Returns the configuration.

    - #### isSameDomain

          public boolean isSameDomain(Configuration passedInConfig)

    - #### isSameDomain

          public boolean isSameDomain(Configuration.Protocol protocol,
                                      java.lang.String host,
                                      int port)

    - #### setConfiguration

          public void setConfiguration(Configuration configuration)

      TODO Describe this method
      Parameters:
        `configuration` - The configuration to set.

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.